import 'package:flutter/material.dart';

import 'ok_button_widget.dart';

class DeleteKeysDialog extends StatelessWidget {
  const DeleteKeysDialog({
    super.key,
    required this.onNoPressed,
    required this.onYesPressed,
  });

  final void Function()? onNoPressed;
  final void Function()? onYesPressed;

  @override
  Widget build(BuildContext context) {
    return Dialog(
      // shape: RoundedRectangleBorder(
      //   borderRadius: BorderRadius.circular(12),
      // ),
      child: Container(
        constraints: BoxConstraints(
          maxWidth: 700,
          maxHeight: 190,
        ),
        decoration: BoxDecoration(
          borderRadius: BorderRadius.circular(12),
          color: Colors.white,
        ),
        child: Padding(
          padding: const EdgeInsets.all(16.0),
          child: Column(
            mainAxisAlignment: MainAxisAlignment.center,
            children: [
              const Text(
                "Delete Keys",
                style: TextStyle(
                  fontSize: 28,
                  fontWeight: FontWeight.bold,
                  color: Colors.black87,
                ),
              ),
              const SizedBox(height: 16),
              Text(
                "Are you sure you want to delete your keys?",
                // textAlign: TextAlign.c,
                style: TextStyle(
                  fontSize: 18,
                  fontWeight: FontWeight.bold,
                  color: Colors.grey[700],
                ),
              ),
              const SizedBox(height: 12),
              Row(
                mainAxisAlignment: MainAxisAlignment.end,
                children: [
                  OkButton(
                    onPressed: onNoPressed,
                    label: "No",
                  ),
                  const SizedBox(
                    width: 8,
                  ),
                  OkButton(
                    onPressed: onYesPressed,
                    label: "Yes",
                  ),
                ],
              )
            ],
          ),
        ),
      ),
    );
  }
}
